<ion-header translucent>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-button (click)="myBackButton()">
        <ion-icon name="arrow-back"></ion-icon>
      </ion-button>
    </ion-buttons>
    <ion-title>Searchbar</ion-title>
  </ion-toolbar>
  <ion-toolbar>
    <ion-searchbar placeholder="Filter by titre" showCancelButton="focus" (ionInput)="handleInput($event)">
    </ion-searchbar>
  </ion-toolbar>
</ion-header>

<ion-content class="ion-padding">
  <ion-list>
    <ion-item *ngFor="let produit of listeproduit">
      <ion-avatar slot="start">
        <img *ngIf="produit.image" src="{{produit?.image}}">
        <img *ngIf="produit.image2" src="{{'assets/images/' + produit?.image2 + '.png'}}">
      </ion-avatar>
      <div button (click)="selectProduct(produit?.id)">
        <div class="produit">
          <ion-row>
            <ion-icon class="type" *ngIf="produit?.type === 'Livre'" name="book"></ion-icon>
            <ion-icon class="type" *ngIf="produit?.type === 'Dvd'" name="videocam"></ion-icon>
            <ion-icon class="type" *ngIf="produit?.type === 'Cd'" name="musical-notes"></ion-icon>
            <ion-icon class="type" *ngIf="produit?.type === 'Jeux'" name="play"></ion-icon>
            <ion-label class="titre">{{produit.titre}}</ion-label>
          </ion-row>
          <div class="description">
            <ion-label class="auteur">{{produit.auteur}}</ion-label>
            <ion-badge *ngIf="produit?.present === 'false'" color="danger"
              style="font-size: 8px; height:15px; width:50px; color: black;">En Prêt</ion-badge>
            <ion-badge *ngIf="produit?.present === 'true'" color="success"
              style="font-size: 8px; height:15px; width:50px; color: black;">Dispo</ion-badge>
          </div>
        </div>
      </div>
    </ion-item>
  </ion-list>
  <ion-fab vertical="bottom" horizontal="end" slot="fixed">

    <ion-fab-button [routerLink]="['barcode']">
      <div class="scanbarre">
        <ion-icon name="barcode" style="width: 50px; height: 40px; padding: 0px; margin: 0px;"></ion-icon>
        <div class="scan">scan</div>
      </div>
    </ion-fab-button>

  </ion-fab>
</ion-content>

<ion-footer>
  <ion-toolbar>
    <ion-searchbar placeholder="Filter by auteur" showCancelButton="focus" (ionInput)="handleInputSearch($event)"
      cancelButtonText="Cancel" style="margin-top: 10px;"></ion-searchbar>
  </ion-toolbar>
</ion-footer>